Bug 10824 - winbind returns unmapped groups in getgroups() when using idmap_ad
winbind returns unmapped groups in getgroups() when using idmap_ad
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Winbind
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-09-19 11:32 UTC by Andreas Schneider
Modified: 2014-10-13 10:45 UTC (History)
5 users (show)

See Also:


Attachments
v4-1-test patch (1.33 KB, patch)
2014-09-22 06:22 UTC, Andreas Schneider
ddiss: review+
Details
v4-0-test patch (1.33 KB, patch)
2014-09-22 06:22 UTC, Andreas Schneider
ddiss: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2014-09-19 11:32:35 UTC
If you have configured idmap_ad, then we set the gid to (uid_t)-1 for groups we could not map. This is also returned in a getgroups() call. This results in an output like this:

samba:~ # id DISCWORLD+joe1
uid=10001(DISCWORLD+joe1) gid=10001(DISCWORLD+domain users) groups=10001(DISCWORLD+domain users),4294967295

We should skip a -1 gid in the nss backend.
Comment 1 Andreas Schneider 2014-09-22 06:22:08 UTC
Created attachment 10300 [details]
v4-1-test patch
Comment 2 Andreas Schneider 2014-09-22 06:22:53 UTC
Created attachment 10301 [details]
v4-0-test patch
Comment 3 Andreas Schneider 2014-09-23 13:17:16 UTC
Karolin, please add the patches to the relevant branches. Thanks!
Comment 4 Karolin Seeger 2014-09-27 18:04:37 UTC
Pushed to autobuild-v4-[0|1]-test.
Comment 5 Karolin Seeger 2014-09-29 18:08:49 UTC
(In reply to comment #4)
> Pushed to autobuild-v4-[0|1]-test.

Pushed to v4-1-test, waiting for autobuild-v4-0-test
Comment 6 Karolin Seeger 2014-09-30 18:33:26 UTC
Pushed to both branches.
Closing out bug report.

Thanks!